UUID_COMPARE(3)

NAME
uuid_compare - compare whether two UUIDs are the same

SYNOPSIS
#include <uuid/uuid.h>

int uuid_compare(uuid_t uu1, uuid_t uu2)

DESCRIPTION
The uuid_compare function compares the two supplied uuid variables uu1 and uu2 to each other.

RETURN VALUE
Returns an integer less than, equal to, or greater than zero if uu1 is found, respectively, to be lexigraphically less than, equal, or greater than uu2.

AUTHOR
uuid_compare was written by Theodore Y. Ts'o for the ext2 filesystem utilties.

AVAILABILITY
uuid_compare is part of libuuid from the e2fsprogs package and is available from http://e2fsprogs.sourceforge.net.

SEE ALSO
libuuid(3), uuid_clear(3), uuid_copy(3), uuid_generate(3), uuid_is_null(3)